<?xml version="1.0" encoding="utf-8"?>
<ManualTopic ID="/baanerp/ec/onlinemanual/000018" xml:lang="en">
	<Header>
		<Title xmlns:ssa="http://www.ssaglobal.com" xmlns:HTML="http://www.w3.org/TR/REC-html40">EDI message levels and file layouts</Title>
		<Keyword><Level1>EDI message levels</Level1>
		</Keyword>
		<Keyword><Level1>File layouts</Level1>
		</Keyword>
		<Keyword><Level1>Conversion setups</Level1>
		</Keyword>
	</Header>
	<GeneralSection><Paragraph><Link href="/baanerp/ec/glossary/glossary#000075" role="glossary">Conversion setups</Link> specify the relationships between the levels that represent the different sections of the EDI message (overhead, header, line, and footer).</Paragraph>
		<Paragraph>If the corresponding message has a Multiple <Link href="/baanerp/ec/glossary/glossary#000006" role="glossary">file</Link> layout - which indicates that the data in the message is split across multiple ASCII files - each level corresponds to a unique ASCII file.</Paragraph>
		<Paragraph>If the corresponding message has a Single file layout - which indicates that the data in the message is received in a single ASCII file - each level corresponds to a unique level identification.</Paragraph>
		<Paragraph>For incoming messages, the level identification is specified in the <GUIRef href="/baanerp/ec/edi/ecedi5112m000" role="session">Conversion Setups (Relationships) (ecedi5112m000)</GUIRef> session; for outgoing messages, you can define the level identification in the conversion setup definitions.</Paragraph>
		<List><ListIntro>Relationship sets are required in order for ERP to:</ListIntro>
			<ListItem>Select and read the correct file(s) in the <GUIRef href="/baanerp/ec/edi/ecedi7210m000" role="session">EDI Interchange Controller (ecedi7210m000)</GUIRef> session (incoming messages)</ListItem>
			<ListItem>Generate the correct ASCII files in the <GUIRef href="/baanerp/ec/edi/ecedi7201m000" role="session">Generate EDI Messages (ecedi7201m000)</GUIRef> session (outgoing messages)</ListItem>
		</List>
	</GeneralSection>
</ManualTopic>
